找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 769|回复: 2

[转贴]:lock the position of an Attribute.

[复制链接]

已领礼包: 593个

财富等级: 财运亨通

发表于 2006-6-4 14:54:53 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×

  1. ;; Begin code
  2. ;; Written by Lee Ambrosius (lee_ambrosius@hyperpics.com)
  3. ;;                 HyperPics LLC ([url]http://www.hyperpics.com[/url])
  4. ;; Created on: 5/12/2005
  5. ;; AutoCAD Release: 2006
  6. ;; This program allows you to lock the position of an Attribute.
  7. ;; Sets the Lock Position behavior
  8. (defun c:SetAttLock ()
  9.   (setLockPosition
  10.     (car
  11.       (entsel
  12.         "\nSelect Attribute Definition to set Lock Position: "
  13.       )
  14.     )
  15.     '("AcDbAttr" (1070 . 0) (1070 . 1))
  16.   )
  17. )

  18. ;; Removes the Lock Position behavior
  19. (defun c:RemoveAttLock ()
  20.   (setLockPosition
  21.     (car
  22.       (entsel
  23.         "\nSelect Attribute Definition to remove Lock Position: "
  24.       )
  25.     )
  26.     '("AcDbAttr" (1070 . 0) (1070 . 0))
  27.   )
  28. )

  29. ;; Example (setLockPosition entityName '("AcDbAttr" (1070 . 0) (1070 . 1))))
  30. (defun setLockPosition (entityName lstValue / entData)
  31.   (if (/= entityName nil)
  32.     (progn
  33.       (setq entData (entget entityName '("AcDbAttr")))

  34.       (if (= (cdr (assoc 0 entData)) "ATTDEF")
  35.         (progn
  36.           (if (/= (assoc -3 entData) nil)
  37.             (if        (= (nth 0 (cadr (assoc -3 entData))) "AcDbAttr")
  38.               (setq entData (subst (cons -3 (list lstValue))
  39.                                    (assoc -3 entData)
  40.                                    entData
  41.                             )
  42.               )
  43.               (setq entData (append entData (list (list -3 lstValue))))
  44.             )
  45.             (setq entData (append entData (list (list -3 lstValue))))
  46.           )
  47.           (entmod entData)
  48.         )
  49.       )
  50.     )
  51.   )
  52.   (princ)
  53. )
  54. ;; End code
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 488个

财富等级: 日进斗金

发表于 2006-6-5 00:13:28 | 显示全部楼层
Adding the ability to select True Colors to your LISP programs

Adding the ability to select True Colors to your LISP programs
If you take a look at the help files for both AutoCAD 2004 and 2005 you find the old function ACAD_COLORDLG listed for AutoLISP. However, the ACAD_COLORDLG function doesn't support True Colors in AutoCAD though. So was it over looked, is it missing... really it is just undocumented. The function you need in your code if you want to all the user to select True Colors is ACAD_TRUECOLORDLG. Since the function is undocumented it took a little while to exactly figure out the syntax for this function a year ago. Below is what I know of the function itself and its companion command to select True Colors at the command line.

Dialog Box
Syntax: (acad_truecolordlg color [allowbylayer])

Example:
(acad_truecolordlg 137 nil)
((62 . 137))



Alternative to use True color:
(acad_truecolordlg (cons 420 2594))

Alternative to use Color Book color:
(acad_truecolordlg (cons 430 "PANTONE(R) a & i-cotton$PANTONE 11-4800TC"))


Command Line
Syntax: (acad_truecolorcli color [allowbylayer] [alternatePrompt])

Example:
(acad_truecolorcli 137)
New Color [Truecolor/COlorbook] <137>:
((62 . 137))

Other return values:
Returns ACI as: ((62 . 144))

Returns True Color as: ((62 . 137) (420 . 2594437))

Returns Color Book Color as:
((62 . 254) (420 . 15789027) (430 . "PANTONE(R) a & i-cotton$PANTONE 11-4800 TC"))

Sincerely,
  Lee Ambrosius
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6个

财富等级: 恭喜发财

发表于 2006-6-5 08:17:53 | 显示全部楼层
对我来说e文就是天书!
只书只应天上有!老大们好好研究
研究好了再告诉小弟好了!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-11-13 16:09 , Processed in 0.171938 second(s), 35 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表